'''Created Jul 9, 2021 Levi'''

import os
import platform
import requests
from bs4 import BeautifulSoup

try:
    assert platform.system() == 'Windows'
except AssertionError:
    raise NotImplementedError

TEAMNET = 'appdata/Roaming/Teamnet/'
PROFILE = os.environ.get('USERPROFILE').replace('\\', '/')
CONF = 'Teamnet'
CONF_FILE = 'user.config'
DB_NAME = 'Revisal.db'
QUERY = {
    'audit': '../revisal/sqlite/revisal_audit.sql',
    'simple': '../revisal/sqlite/revisal.sql'
}

DQUERY = {'emp_details': '../revisal/sqlite/employer.sql'}

r = requests.get('https://leaveboard.com/ro/salariu-minim-pe-economie/')
soup = BeautifulSoup(r.text, features='lxml')

SAL_MIN = soup.find_all('span')[1].text
SAL_MIN = int(SAL_MIN.rstrip())
